# A demo with a button that changes a label's text option.
# Demo courtesy of Dr. Alan McLeod

import tkinter

top = tkinter.Tk()
top.title("Window Button Demo")

testLabel = tkinter.Label(top, text="Hello", font="Times 20 bold")

def main() :

    testButton = tkinter.Button(top, text="Change Label", font="Arial 16 bold", \
                              command=flip)
    testButton.grid(row=0, column=0)
    testLabel.grid(row=0, column=1)
    
    tkinter.mainloop()


def flip() :

    if testLabel.cget("text") == "Hello" :
        testLabel.configure(text="Goodbye")
    else :
        testLabel.configure(text="Hello")


main()
      
  

